<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2020 osCommerce

  Released under the GNU General Public License
*/

class hook_admin_categories_productSpecials {
	
  public function listen_productActionSave() {
	  
     if (isset($_GET['pID'])) {
		$product_id = tep_db_prepare_input($_GET['pID']);
	 } else {
		 $products_highest_id_query = tep_db_query("SELECT products_id FROM products ORDER BY products_id DESC LIMIT 1");
		 $products_highest_id = tep_db_fetch_array($products_highest_id_query);
		 
	    $product_id = $products_highest_id['products_id'];
	 }
	
	$specials_info_query = tep_db_query("SELECT specials_new_products_price FROM specials WHERE products_id = '" . $product_id . "'");
	$specials_info = tep_db_fetch_array($specials_info_query);
		
	$specials_price = tep_db_prepare_input($_POST['specials_price']);
	
	if (substr($specials_price, -1) === '%') {
        $specials_price = substr($specials_price, 0, -1);
        $new_special_insert_query = tep_db_query("SELECT products_id, products_price FROM products WHERE products_id = " . (int)$product_id);
        $new_special_insert = tep_db_fetch_array($new_special_insert_query);

        $products_price = $new_special_insert['products_price'];
        $specials_price = ($products_price - (($specials_price / 100) * $products_price));
    }
	
	if (tep_not_null($_POST['expdate'])) $expires_date = tep_db_prepare_input($_POST['expdate']);
	
	if(tep_not_null($specials_price)) {
		if(tep_not_null($specials_info['specials_new_products_price'])) {
			tep_db_query("UPDATE specials SET specials_new_products_price = '" . tep_db_input($specials_price) . "', specials_last_modified = NOW(), expires_date = " . (tep_not_null($expires_date) ? "'" . tep_db_input($expires_date) . "'" : 'NULL') . " where products_id = " . $product_id);
		} else {
			tep_db_query("INSERT INTO specials (products_id, specials_new_products_price, specials_date_added, expires_date, status) VALUES (" . (int)$product_id . ", '" . tep_db_input($specials_price) . "', NOW(), " . (tep_not_null($expires_date) ? "'" . tep_db_input($expires_date) . "'" : 'null') . ", 1)");
		}
	}
 }
   
  public function listen_injectDataForm() {
	include DIR_FS_CATALOG . 'includes/languages/' . $_SESSION['language'] . '/hooks/admin/categories/products_specials.php';
	
     if (isset($_GET['pID'])) {
		$product_id = tep_db_prepare_input($_GET['pID']);
	 } else {
		 $products_highest_id_query = tep_db_query("SELECT products_id FROM products ORDER BY products_id DESC LIMIT 1");
		 $products_highest_id = tep_db_fetch_array($products_highest_id_query);
		 
	    $product_id = $products_highest_id['products_id'];
	 }
	
	
	$specials_info_query = tep_db_query("SELECT specials_new_products_price, expires_date FROM specials WHERE products_id = '" . $product_id . "'");
	$specials_info = tep_db_fetch_array($specials_info_query);
	?>
	
    <div class="form-group row" id="zSpecialPrice">
      <label for="specialPrice" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_SPECIALS_SPECIAL_PRICE ?></label>
      <div class="col-sm-9">
        <?php
        echo tep_draw_input_field('specials_price', ($specials_info['specials_new_products_price'] ?? ''), 'class="form-control" id="specialPrice"', null, 'tel');
        ?>
      </div>
    </div>

    <div class="form-group row" id="zDate">
      <label for="specialDate" class="col-form-label col-sm-3 text-left text-sm-right"><?= TEXT_SPECIALS_EXPIRES_DATE ?></label>
      <div class="col-sm-9">
        <?php
        echo tep_draw_input_field('expdate', (isset($specials_info['expires_date']) ? substr($specials_info['expires_date'], 0, 4) . '-' . substr($specials_info['expires_date'], 5, 2) . '-' . substr($specials_info['expires_date'], 8, 2) : ''), 'class="form-control" id="specialDate"');
        ?>
      </div>
    </div>

    <div class="alert alert-info">
      <?= TEXT_SPECIALS_PRICE_TIP ?>
    </div>


  <script>$('#expdate').datepicker({ dateFormat: 'yy-mm-dd' });</script>
	
	<?php
	
  }	  
}

?>